##
##  perl-www.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_libwww_perl       5.68
%define       V_uri               1.23
%define       V_cgi               2.89
%define       V_cgi_application   2.6
%define       V_cgi_formbuilder   2.07
%define       V_cgi_formmagick    0.86
%define       V_cgi_minimal       1.09
%define       V_cgi_safe          1.24
%define       V_cgi_session       3.11
%define       V_fcgi              0.67

#   package information
Name:         perl-www
Summary:      Perl Module for WWW client and server behavior
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      1.2.1
Release:      1.2.1

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/URI/URI-%{V_uri}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/WWW/libwww-perl-%{V_libwww_perl}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/CGI/CGI.pm-%{V_cgi}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/CGI/CGI-Application-%{V_cgi_application}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/CGI/CGI-FormBuilder-%{V_cgi_formbuilder}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/CGI/CGI-FormMagick-%{V_cgi_formmagick}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/CGI/CGI-Minimal-%{V_cgi_minimal}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/CGI/CGI-Safe-%{V_cgi_safe}.tar.gz
Source8:      http://www.cpan.org/modules/by-module/CGI/CGI-Session-%{V_cgi_session}.tar.gz
Source9:      http://www.cpan.org/modules/by-module/FCGI/FCGI-%{V_fcgi}.tar.gz
Patch0:       perl-www.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 1.2.0, perl >= 5.8.0, perl-crypto, perl-mail, perl-xml, perl-net
PreReq:       OpenPKG, openpkg >= 1.2.0, perl >= 5.8.0, perl-crypto, perl-mail, perl-xml, perl-net
AutoReq:      no
AutoReqProv:  no

%description
    Various Perl modules related to World Wide Web (WWW):
    - libwww-perl (%{V_libwww_perl})
    - URI (%{V_uri})
    - CGI (%{V_cgi})
    - CGI::Application (%{V_cgi_application})
    - CGI::FormBuilder (%{V_cgi_formbuilder})
    - CGI::FormMagick (%{V_cgi_formmagick})
    - CGI::Minimal (%{V_cgi_minimal})
    - CGI::Safe (%{V_cgi_safe})
    - CGI::Session (%{V_cgi_session})
    - FCGI (%{V_fcgi})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup4 -q -T -D -a 4
    %setup5 -q -T -D -a 5
    %setup6 -q -T -D -a 6
    %setup7 -q -T -D -a 7
    %setup8 -q -T -D -a 8
    %setup9 -q -T -D -a 9
    %patch0 -p0

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE7}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE8}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE9}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

